//Simple HDMI Driver test

#include "Platform.h"

i2c_Port* pI2C1;

//1080p 2bpp tile driver  (New, double buffered version...  Uses swap() to update)
struct __using("1080p_TileDriver_9b.spin2") vga; //RJA:  Visual Studio will show an error here, but it's OK


void Setup()
{

    printf("Starting VGA...\n");
    vga.start(VGA1_BASEPIN);// &MouseStatus, pCommand, pFont, & DebugLong);
    vga.cls(vga.Malibu2);

    i2c_Setup(pI2C1, I2C1_SCLPIN, I2C1_SDAPIN, I2C1_SPEED, I2C1_PULLUP); //setup(i2c_Port*, scl, sda, khz, pullup) 
    printf("I2C Driver started.\n");

    GridEye_begin(pI2C1, GridEye_DEFAULT_ADDRESS);
}

void Loop()
{
    vga.row = 4;
    vga.col = 4;
    vga.setforecolor(rand()%200);
    vga.setbackcolor(vga.Malibu2);
    vga.Print_String("GridEye");
    vga.swap();

    //Scan the I2C Bus I2CBus1
    ScanI2CBus(pI2C1);

    //Map view added to vga driver
    vga.ShowGridEye(GridEye_GetVgaMap(), GridEye_GetTempMap());

    float f = GridEye_getPixelTemperatureFahrenheit(28); //pixel near center
    printf("GridEye Temp= %f\n", f);
}

int main()
{
 
    char c=0;
    printf("Starting\n");

    Setup();

    for (;;)
    {
        Loop();
        _waitms(1000);
    }



}
